// 806GA 11/28/2003

//public messages
var msg_invalid_ip = "Invalid IP Address, please enter again\n";	
var msg_blank = "%s can not be blank.\n";
var msg_space = "Blanks or spaces are not allowed in %s\n";
var msg_blank_in = "Blanks are not allowed in %s\n";
var msg_invalid = "Invalid character or characters in %s\nValid characters are: \n%s\n\n";
var msg_check_invalid = "%s contains an invalid number\n";
var msg_greater = "%s must be greater than %s \n";
var msg_less = "%s must be less than %s \n";
var msg_first = "First";  // eg. First field of GW must match device IP
var msg_second = "Second";
var msg_third = "Third";
var msg_fourth = "Fourth";
var msg_ip_address = "IP Address";
var msg_validIP = "%s is invalid. Valid range is 1.0.0.1 to 254.255.255.254\n";
var msg_netmask = "Network Mask";
var msg_validMask = "%s is invalid. Valid range is 0.0.0.0 to 255.255.255.255\n";
var msg_gatewayip = "Gateway IP Address";
var msg_DNS_ip = "DNS IP Address";
var msg_invalidMAC = "MAC address must be 12 Hex chars (0~9 and A~F) with optional delimiters (: or -)";
var msg_restart = "Restart Router ?\nAll existing connections will be terminated.\n\nClick OK to restart, Cancel to abort.";
var msg_logout = "\nLogout?\n\nClick OK to logout or Cancel to abort";
var msg_restart_modem = "Warning! Restarting will break any existing connections.\n\nClick OK to restart, Cancel to abort.";
var msg_modem_mode = "WARNING!\nIn Modem Mode, all data received on either the LAN or Wireless interfaces will be sent over the ADSL link.\nUsually, this is unsafe as well as wasting bandwidth.\nModem Mode is only intended for special circumstances.";


// Access Control
var msg_selservice = "Please select a service or services for this rule.";
var msg_nomember = "No member selected. Please select one or more members.\n";
var msg_nopctoadd = "No PCs selected. Please select one or more PCs\n";

// config file
var msg_nofile = "Filename can not be blank";
var msg_confirmCfile = "Warning!\nRestoring settings from a config file will erase all of the current settings.\nAre you sure you want to do this?" ;
var msg_confirmDefault = "Warning!\nLoading the Factory Default Settings will erase all the current settings.\nAre you sure you want to do this?";

//ddns
var msg_hostname = "Host name";
var msg_username = "User name";
var msg_password = "Password";
var msg_user_domain = "First section of Domain name";
var msg_dyn_domain = "Middle section of Domain name";
var msg_tl_domain = "Last section of Domain name";
var msg_selsite = "Please select a DDNS Service provider";

//dev_opt
var msg_enable = "Enabling this has no effect unlesss %s are Enabled.";
var msg_bak_dns_field = "Backup DNS (%s) IP Address";
var msg_mtu = "MTU value";
var msg_upnp_advtime = "Advertisement Period";
var msg_upnp_livetime = "Advertisement Time to Live";

// diag
var msg_dns_lookup = "Domain name";
var msg_dns_internet = "Internet name";
var msg_dns_invalid = "Invalid Internet name, please enter again.\n";
var msg_restart = "Warning! Restarting will break any existing connections either to the Router (such as this one) or through the Router (for example, LAN users accessing the Internet)";

//email
var msg_sec_email = "Invalid E-mail address.\n";
var msg_invalid_addr = "Invalid Mail Server address.\n";
var msg_smtp_username = "User Name";
var msg_smtp_passwd = "Password";

//fw_serv
var na_var = "n/a";
var msg_servname = "Service name";
var msg_startp = "Start port number";
var msg_finishp = "Finish port number";
var msg_icmp_type = "ICMP Type";
var msg_portbigger = "Finish port number must be greater than Start port number";
var msg_no_service = "No Service selected.  \nPlease select a Service from the list.";

//fw_rules
var msg_noentry = "No entry selected. \nClick a radio button to select an entry."
var msg_nolanpc = "No PC selected. Please select a PC for this rule\n";
var msg_wan_start = "WAN start IP address";
var msg_wan_finish = "WAN finish IP address";
var msg_wan_badrange = "WAN start IP must be less than finish IP\n";
var msg_lan_start = "LAN start IP address";
var msg_lan_finish = "LAN finish IP address";
var msg_lan_badrange = "LAN start IP must be less than finish IP\n";

//i_sap
var msg_ud_in_start = "Incoming start port for user-defined [%s]";
var msg_ud_in_finish = "Incoming finish port for user-defined [%s]";
var msg_ud_out_start = "Outgoing start port for user-defined [%s]";
var msg_ud_out_finish = "Outgoing finish port for user-defined [%s]";
var msg_ud_name = "Name for user-defined [%s]";
var msg_entry_greater = "\nFor every entry, Finish Port must be greater than Start port";

//i_urlf
var msg_no_entries = "No entries selected. Please select 1 or more entries.";
var msg_filter = "Filter string";

//internet
var msg_dhcpc = "DHCP clients are added automatically. If not listed, restart the unlisted PC.\nYou can also manually add PCs using 'PC Database' on the Advanced menu.";
var msg_dmz_enable = "DMZ cannot be enabled unless a PC is selected";
var msg_mdmz_wan = "WAN IP address for Multi-DMZ";
var msg_ip_field = "Last field of IP address";

//keyword
var msg_trusted_pc = "Please select a PC for the trusted PC\n";
var msg_keyword = "Filter String";
var msg_nokeyword = "No Filter String selected";

//lan
var msg_dhcp_start = "DHCP Server Start IP address";
var msg_dhcp_finish = "DHCP Server Finish IP address";
var msg_dhcp_greater = "DHCP Server finish address must be greater than start address";
var msg_client_range = "Avalidate IP range is 10 ... 253, please try again!";

// logs
var msg_send_disable = "\"Send Log\" feature is disabled. \n\nTo enable it, configure the E-mail screen.\nEnsure \"Turn e-mail notification on\" is enabled.";
var msg_smtp = "SMTP server address";
var msg_smtp_ip = "SMTP server IP address";
var msg_smtp_port = "SMTP port number";
var msg_syslog_ip = "Syslog server IP address";

// WAN Port
var msg_mac_addr = "MAC (physical) Address";
var msg_mac_default = "\nThis inserts the factory default value into the Hardware (MAC) address field.\nClick OK to continue or Cancel to retain the current value";
var msg_copy_from_pc = "\nThis copies the address of your PC into the Hardware (MAC) address field.\n- only required if your ISP has recorded the PC's hardware address.\n\nClick OK to continue or Cancel to retain the current value";


//pc_db, pc_dba
var msg_name = "Name";
var msg_delete_confirm = "\nDelete %s ? \n\nClick OK to delete or Cancel to retain.";
var msg_no_pc = "\nNo PC selected. Please select a PC.";
var msg_invalid_mac_name = "Invalid MAC Address, please re-enter\n";
var msg_duplicate_name = "Name is already used, please use another name";


//password
var msg_password_match = "Password entries do not match";

//remotemg
var msg_port = "Port Number";
var msg_startip = "Begin range IP Address";
var msg_finiship = "End range IP address";
var msg_start_less = "Invalid IP address range, beginning must be before end.\n";
var msg_rmport = "Port Number";
var msg_invalid_port = "Invalid port number, please enter again.";

//routing
var msg_route = "Route Name";
var msg_invalid_ip_address = "IP address is invalid, please enter again.\n";
var msg_invalid_gw = "Invalid Gateway Address, please enter again.\n";
var msg_select_pc = "Please select a PC.";
var msg_metric = "Metric";
var msg_no_routing = "\nNo entry selected. Please select a Routing table entry.";
var msg_delete = "\nDelete %s? ";

// scheduling
var mon_msg = "Monday";
var tue_msg = "Tuesday";
var wed_msg = "Wednesday";
var thu_msg = "Thursday";
var fri_msg = "Friday";
var sat_msg = "Saturday";
var sun_msg = "Sunday";
var msg_time = "Invalid Time for %s. \n\nBlanks are only allowed if both Start and Finish are blank.\n24 hour clock must be used.\nHours: 0 to 24  \nMinutes: 0 to 59\n";
var msg_starttime = "Finish time must be after Start time.\nPlease check %s.";
var msg_sessions = "Session 2 Start time must be after \nSession 1 Finish time.\nPlease check %s";
var msg_overtime = "Times past 24:00 are not valid\nPlease check %s";
var msg_invalid_ntp = "Invalid NTP Server IP address, please enter again\n";
var msg_ntp = "NTP Server IP address";

//servinfo
var msg_start_port = "Start port";
var msg_finish_port = "Finish port";
var msg_less_port = "Start port must be less than finish port, please enter again.\n";


//special applications
var msg_spa_name = "Name field";
var msg_spa_port  = "Port field";
var msg_ud_in_start = "Incoming start port for user-defined [%s]";
var msg_ud_in_finish = "Incoming finish port for user-defined [%s]";
var msg_ud_out_start = "Outgoing start port for user-defined [%s]";
var msg_ud_out_finish = "Outgoing finish port for user-defined [%s]";
var msg_ud_name = "Name for user-defined [%s]";
var msg_entry_greater = "\nFor every entry, Finish Port must be greater than Start port"

//st_dhcp
var msg_dhcp_ip = "This button is only operational when using a Dynamic\n(automatically assigned) IP Address.";

//techsupp
var msg_rts = "RTS Threshold";
var msg_frag = "Fragmentation"
var msg_beacon = "Beacon Interval"
var msg_firewall_high = "Firewall - High Water Mark";
var msg_firewall_low = "Firewall - Low Water Mark";
var msg_firewall_max = "Firewall - Maximum Sessions";
var msg_firewall_block = "Firewall - Block time";
var msg_mtu = "MTU";

// upgrade FW
var up_msg = "Continue?\nAll existing Internet connections will be terminated.";
var nofile_msg = "No filename provided. Please select the correct file.\n";
var msg_filename = "Invalid filename was provided, please enter again:(*.img)\n"
var finish_msg = "\Please check the LEDs to see if the Router is ready, \nthen click OK to re-connect.";
// copy to upg_pg.htm

// vpn
var msg_auto_refresh_on = "Auto-Refresh is ON";
var msg_auto_refresh_off = "Auto-Refresh is OFF";
var msg_set_autorefresh_on = "Set Auto-Refresh On ?";
var msg_set_autorefresh_off = "Set Auto-Refresh Off ?";
var msg_invalid_local_address = "Local IP address is invalid, please enter again.\n";
var msg_invalid_remote_address = "Remote IP address is invalid, please enter again.\n";

// vs
var msg_vs_enable = "To enable a Virtual Server, you must select a PC";
// Firewall uses ONLY msg above. SOHO uses msg below.
var msg_two_entries = "This type of Server has 2 entries. The other entry - %s\nwill be set to the same PC and Enable/Disable setting.\nThis is required for proper operation.";
var msg_vs_name = "Virtual Server name";
var msg_inport_begin = "Beginning of Internal (LAN) Port range";
var msg_inport_end= "End of Internal (LAN) Port range";
var msg_export_begin = "Beginning of External (WAN) Port range";
var msg_export_end= "End of External (WAN) Port range";
var msg_inport_badrange = "Invalid Internal (LAN) Port Range. \nEnd of port range must be greater than beginning";
var msg_export_badrange = "Invalid External (WAN) Port Range. \nEnd of port range must be greater than beginning";
var msg_int_port = "Internal Port No";
var msg_ext_port = "External Port No";
var msg_invalid_int_port = "\nInvalid Internal Port No. \nThis port is already assigned to the %s Server";
var msg_invalid_ext_port = "\nInvalid External Port No. \nThis port is already assigned to the %s Server"
var msg_no_entry_update = "\nCannot update - no entry selected.";
var msg_pre_def_rename = "\nPre-defined Servers can not be renamed. \nClick OK to restore original name.";
var msg_vs_default = "\nAll Servers you have added will be deleted!\n\nThe names and port numbers for the pre-defined Servers\nwill be set to their default values.\n\nClick OK to continue or Cancel to abort";
var msg_vs_disable = "\nAll Virtual Servers will be disabled.\n\nClick OK to continue or Cancel to retain current settings.";
var msg_vs_no_item = "\nNo item selected. \nPlease select an entry in the list.";
var msg_pre_def_delete = "\nPre-defined Servers can not be deleted.\nAny Servers you have added may be deleted.";
var msg_vs_delete = "Delete?\n\nClick OK to delete \"%s\"";
var msg_saveVs = "The firewall feature in this product can setup the Virtual Server function. After you add a entry of virtual server, you need go to Firewall screen to manage the entry you just newly added. We recommend you to use the firewall feature in this product instead of Virtual Server. Do you wish to continue?"

// wireless
var msg_select_region = "Please select the region to match your location.\n";
var msg_ssid = "SSID";


//w_wep
var msg_hexkey = "Invalid Key. \nHex keys can only include the characters 0~9 and A~F.\nKey size is 10 chars (64bit) or 26 chars (128bit)";
var msg_asciikey = "Invalid Key. \nKey size is 5 chars (64bit) or  13 chars (128bit)";
var msg_noencypt = "Encryption is disabled"; 
var msg_wep_pass = "Please enter passphrase";
var msg_nopassph = "Passphrase is not available for 256 bit keys";
var msg_keytoobig = "Key cannot contain more than %s characters";
// wpa
var msg_psk_keysize = "Invalid PSK. The PSK must consist of 8 to 63 characters.\n";
var msg_psk_lifetime = "Key Lifetime";



// Wireless Access Control
var msg_wire_list = "No Wireless station selected";
var msg_station_addr = "Station Address";
var msg_station_name = "Station name";
var msg_button_update = "Update";
var msg_button_add = " Add ";

// firewall & vpn moves
var msg_ptext = "\nNew Position:";    
var msg_no_move = "Unable to move, specified destination is invalid.";
var msg_nomove_tosave = "No moves to save.";  

// vpn

var msg_policy_name = "Policy name";
var msg_policyname_spaces = "Policy name can't have spaces in it\n";
var msg_remote_endpoint_ip = "Remote VPN Endpoint IP address is invalid\n";
var msg_remote_endpoint_name = "Remote VPN Endpoint Domain name";
var msg_local_address = "Local LAN IP address";
var msg_remote_address = "Remote LAN IP address";
var msg_local_netmask = "Local LAN Subnet Mask";
var msg_remote_netmask = "Remote LAN Subnet Mask";
// auto
var msg_local_id = "Local ID can not be blank\n" ;
var msg_remote_id = "Remote ID can not be blank\n" ;
var msg_samenetwork = "\nLocal and Remote LANs can NOT use same address range.";
var msg_dh_auto_respond = "For DH group, 'Auto' is only available when acting as 'Responder'\n";
var msg_preshared_key = "Pre-shared Key";
var msg_sa_lifetime = "SA Life Time";
var msg_auth_auto_respond = "For Authentication, 'Auto' is only available when acting as 'Responder'\n";
// manual
var msg_spi_in = "SPI (Incoming) is invalid. The SPI must be 3 Hex chars (0~9 and A~F)\n";
var msg_spi_out = "SPI (Outgoing) is invalid. The SPI must be 3 Hex chars (0~9 and A~F)\n";
var msg_esp_encr_key = "Invalid Encryption Key (DES = 8 chars, 3DES = 24 chars)\n";
var msg_esp_auth_key = "Invalid Authentication Key (MD5 = 16 chars, SHA-1 = 20 chars)\n";


//wizard
var msg_domainname = "Domain Name";
var msg_gw_match_ip = "%s field of  Gateway must match \ncorresponding field in IP Address.";
var msg_change_gw = "\n\nClick OK to change Gateway, Cancel to retain current values.";
var msg_vpi = "VPI";
var msg_vci = "VCI";

var msg_wiz_defaults = "This will insert the default values for the VPI, VCI and Multiplex fields.\n\nClick OK to continue or Cancel to Abort";
var msg_wizard_closed = "Wizard window is not available, unable to continue.\nPlease start Wizard again.";
var msg_dsl_autofail = "Auto-detect failed. \nPlease ask your DSL service provider for the correct settings,\nand complete the following screens.";
//david
var msg_vc_autofail = "WARNING!\n\nVPI/VCI got from Auto-Detection have been used already on other VC. Please modify other VC setting or go to manual VPI/VCI setting.";
var msg_autodetect_vc = "WARNING!\n\nThis is only reliable if you have a single VC (Virtual Circuit).\nWith multiple VCs, the primary VC cannot be distinguished from other VCs.\n\nClick OK to continue, Cancel to Abort";
var msg_autodetect_multi = "WARNING!\nAuto-detection is only reliable if you have a single VC (Virtual Circuit).\nWith multiple VCs, the primary VC cannot be distinguished from other VCs.";
var msg_dsl_autopass = "Auto-detection completed.\nVPI & VCI values have been inserted into the Wizard screen.";
var msg_wiz_method_fail = "Connection method could not be determined.\nPlease check the data from your ISP, \nand select the correct method.";
var msg_method_autopass = "Auto-detection completed, correct connection method selected.\nPlease complete the Wizard.";

var msg_server_ip = "Server IP Address";  // pptp, bpa
var msg_server_domainname = "Server Domain Name";
var msg_wiz_name = "Login Name";  // pppoe, pptp, bpa, ras
var msg_idle_timer = "Idle time-out";  // pppoe, pptp, bpa
var msg_wan_ip = "Internet IP address";

var msg_wiznosave = "Settings have not been saved!\nTo save, click Cancel, then Finish.\n\nTo exit without saving, click OK";
var msg_test_select = "Option to run test was not selected.\nNo test will be performed.";
var msg_run_test = 'Preparing to run test; please wait ...';
var msg_wait = "Router is restarting and unavailable.\nPlease wait.\nRouter will be available shortly.";


var msg_homescrn_button = "Finish";  // used if connecton already working




